## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# -*- rpm-spec -*-

%define metacpan https://cpan.metacpan.org/authors/id/J/JV/JV
%define FullName Text-Layout

Name: perl-%{FullName}
Summary: Pango style text formatting
License: (GPL-1.0-or-later OR Artistic-1.0-Perl) AND Artistic-2.0
Version: 0.045
Release: %autorelease
Source: %{metacpan}/%{FullName}-%{version}.tar.gz
Url: https://metacpan.org/release/%{FullName}

# It's all plain perl, nothing architecture dependent.
BuildArch: noarch

# This package would provide many (perl) modules, but these are
# not intended for general use.
%global __requires_exclude Text::Layout::Font(Config|Descriptor)
%global __provides_exclude_from /(Testing|Cairo|Pango|PDFAPI2|ImageElement|ElementRole)\\.pm$

Requires: perl(:VERSION) >= 5.26.0

Recommends: perl(PDF::API2) >= 2.047
Recommends: perl(HarfBuzz::Shaper) >= 0.026

BuildRequires: make
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.24
BuildRequires: perl(Object::Pad) >= 0.818
BuildRequires: perl(File::Basename)
BuildRequires: perl(HarfBuzz::Shaper) >= 0.026
BuildRequires: perl(PDF::API2) >= 2.047
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-generators
BuildRequires: perl-interpreter

%description
Text::Layout provides methods for Pango style text formatting. Where
possible the methods have identical names and (near) identical
behavior as their Pango counterparts.

See https://developer.gnome.org/pango/stable/pango-Layout-Objects.html.

Text::Layout uses backend modules to render the marked up text.
Backends are included for PDF::API2 and PDF::Builder.

The package uses Text::Layout::FontConfig (included) to organize fonts
by description.

If module HarfBuzz::Shaper is installed, Text::Layout can use it for
text shaping.

%prep
%setup -q -n %{FullName}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%check
make test

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
## START: Generated by rpmautospec
* Thu Jul 10 2025 Johan Vromans <jvromans@squirrel.nl> - 0.045-1
- Update to upstream.

* Mon Mar 24 2025 Johan Vromans <jvromans@squirrel.nl> - 0.039-1
- Upgrade to upstream.

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.038-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 25 2024 Miroslav Suchý <msuchy@redhat.com> - 0.038-2
- Migrate to SPDX license

* Tue Aug 27 2024 Johan Vromans <jvromans@squirrel.nl> - 0.038-1
- Upgrade to upstream.

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.032-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.032-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.032-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Johan Vromans <jvromans@squirrel.nl> - 0.032-1
- Upgrade to upstream 0.032.

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.031-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 29 2023 Johan Vromans <jvromans@squirrel.nl> - 0.031-1
- Upgrade to upstream 0.031.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.030-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Jitka Plesnikova <jplesnik@redhat.com> - 0.030-4
- Remove perl(MODULE_COMPAT), it will be replaced by generators

* Tue Nov 08 2022 Johan Vromans <jvromans@squirrel.nl> - 0.030-3
- Fix provides for Text::Layout::Testing.

* Tue Nov 08 2022 Johan Vromans <jvromans@squirrel.nl> - 0.030-2
- Fix Text::Layout::Markdown provides.

* Sat Sep 03 2022 Johan Vromans <jvromans@squirrel.nl> - 0.030-1
- Upgrade to upstream 0.030.

* Wed Aug 31 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.029-1
- 0.029 bump

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.028-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.028-3
- Perl 5.36 rebuild

* Fri Feb 04 2022 Johan Vromans <jvromans@squirrel.nl> - 0.028-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
